using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Abakus2
{
    internal class Program
    {
        static HashSet<long> rezultati;
        //static long proizvodiDo100 = ProizvodCifara(99);



        static long ProizvodCifara(long n)
        {
            long proizvod = 1;
            string sn = n.ToString();

            foreach(var cifra in sn)
            {
                proizvod *= int.Parse(cifra.ToString());
            }
            return proizvod;
        }

        static int Kombinacije(long n, long i)
        {
            if (i == 1) rezultati = new HashSet<long>();

            for (long j = i; j <= n; j++)
            {
                rezultati.Add(ProizvodCifara(j));
            }
            return rezultati.Count;
        }

        static void Main(string[] args)
        {
            long t = int.Parse(Console.ReadLine());
            long prosloN = long.MaxValue;
            for (int i = 0; i < t; i++)
            {
                long n = long.Parse(Console.ReadLine());
                long br = n;
                if (n > prosloN)
                {
                    br = Kombinacije(n, prosloN);
                }
                else
                {
                    br = Kombinacije(n, 1);
                }
                Console.WriteLine(br);
                prosloN = n;
            }

        }
    }
}